Subject: Re: [dmarc-ietf] text correction on DMARC spec re reporting DNS record

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 30 Nov 2013 23:04:34 -0800

I've added a definition for Report Receiver and Author Domain, and made use
of them in a few key places.  Is there really a need to define Submission
Domain and Receiver Domain?  I can't recall, nor find in a brief scan, any
places where those would be especially useful for this draft.

-MSK

On Sun, Oct 20, 2013 at 3:51 AM, Roland Turner <[email-masked]>wrote:

> Hi Rolf,
>
>
> On 09/26/2013 04:15 PM, Rolf E. Sonneveld wrote:
>
>> Hi, Roland,
>>
>> On 09/26/2013 03:39 AM, Roland Turner wrote:
>>
>>> Rolf, are you suggesting that the [already deployed, working] mechanism
>>> described in 7.1 whereby a putative report receiver can purportedly do that
>>> exact thing (confirm willingness to receive, via DNS) is unworkable?
>>>
>>
>> No.
>>
>
> My mistake, I read (and replied to) the thread out of sequence.
>
>
>
>>  Something else?
>>>
>>
>> The text I proposed is in the category 'minor improvements'. As "[...]
>> The mission of the IETF is to produce high quality, relevant technical and
>> engineering documents [...]" (RFC3935, BCP95) the proposed text is an
>> attempt to differentiate between the various roles that exists in any
>> medium to large organization.
>>
>> All in all, when trying to come up with some text I realized that it
>> would help when some 'domain' definitions would be added to the DMARC spec,
>> to address the various sorts of domains there are in the context of DMARC.
>> I'd suggest to move the currently present Domain definitions from the intro
>> of chapter 3 to a separate paragraph ("3.1 Domain Definitions", for
>> example) and add definitions for:
>>
>> - Author Domain
>> - Submission Domain (see RFC5598, par 4.1.4, discussion on
>> RFC5321.MailFrom)
>> - Receiver Domain
>> - Report Receiver Domain
>>
>> and then use these names/definitions throughout the document.
>>
>> I'd be happy to come up with some text, but maybe it's better to wait for
>> the formal review phase?
>>
>
> This all makes sense. I'm guessing that Murray's pass through the list
> archive for changes to document will consider this.
>
> Murray?
>
> - Roland
>
> _______________________________________________
> dmarc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmarc
>